Skip to content

upsertMaintenanceDispatchComment

WRITE

Upsert maintenance dispatch comment.

POST /api/v1/resources/upsertMaintenanceDispatchComment
curl -X POST '<your-host>/api/v1/resources/upsertMaintenanceDispatchComment' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "maintenanceDispatchId": "string",
    "comment": "string",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1

Input schema

schema
{
  "type": "object",
  "properties": {
    "maintenanceDispatchId": {
      "type": "string",
      "minLength": 1
    },
    "comment": {
      "type": "string",
      "minLength": 1
    },
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "maintenanceDispatchId",
    "comment",
    "_operation"
  ]
}